$blue: #3e85e9;
$light-blue: #3ebbe2;
$grey: #73778c;
$grey-light: #e5e5e5;
$grey-midl: #a6a9b8;
$grey-dark: #323233;
$error: #ff4d4f;

html,
body {
  padding: 0;
  font-family: 'Poppins', sans-serif;
  margin: 0 auto;
  .layout {
    background-color: white;
    .ant-layout-content {
      background-color: $grey-light;
    }
  }
}

h1 {
  font-weight: 600;
  font-size: 38px;
  line-height: 1.23;
}

h2 {
  font-weight: 600;
  font-size: 30px;
  line-height: 1.35;
}

h3 {
  font-weight: 600;
  font-size: 24px;
  line-height: 1.35;
}

h4 {
  font-weight: 600;
  font-size: 20px;
  line-height: 1.4;
}

h5 {
  font-weight: 600;
  font-size: 16px;
  line-height: 1.5;
}

a {
  color: inherit;
  text-decoration: none;
}

p {
  font-family: "Poppins";
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 1.6;
  color: $grey-dark;
}

* {
  box-sizing: border-box;
}

.layout {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

.paper {
  min-width: 300px;
  min-height: 500px;
  text-align: center;
  background: #ffffff;
  border: 1px solid rgba(166, 169, 184, 0.4);
  box-sizing: border-box;
  box-shadow: 0px 8px 16px rgba(216, 218, 233, 0.4);
  border-radius: 8px;
  padding: 20px;
  display: flex;
  flex-direction: column;

  a {
    background-color: $blue;
    box-shadow: none;
    border: 1px solid $blue;
    border-radius: 2px;
    padding: 7px 20px;
    width: 100%;
    color: white;
    &:hover {
      border: 1px solid $grey;
      background-color: white;
      color: $grey;
      text-shadow: none;
    }
  }

  &.planBlock {
    padding: 24px;
    max-width: 300px;
    min-height: 200px;
    font-family: 'Poppins', sans-serif;
    font-style: normal;
    margin: 0 auto;
    h4 {
      font-weight: 500;
      margin: 28px 0 0 0;
    }
    h1 {
      font-weight: 600;

      margin: 12px;
    }
    ul {
      margin: 12px 0;
      list-style: inside;
      text-align: start;
      padding: 0;
      font-family: 'Poppins', sans-serif;
      font-style: normal;
      font-weight: 400;
      font-size: 16px;
      line-height: 34px;
      color: #73778c;

      li::marker {
        content: url("../public/icons/check.svg");
      }
    }
    .subscribeBtn {
      margin: 22px 0;
    }
  }
}

@import "./mixins.scss";
@import "~antd/dist/antd.css";
@import "./header.scss";
@import "./dashboard.scss";
@import "./authorisation.scss";
@import "./footer.scss";
@import "./home.scss";
@import "./article.scss";
@import "./articles.scss";
@import "./subscribe.scss";
@import "./error.scss";
